package libchord.rmi;

import java.rmi.RemoteException;

import libchord.Identifier;

public interface RemoteStorageNode extends RemoteNode {
	// Functions to use the storage space
	public abstract String get(Identifier id) throws RemoteException;
	public abstract String getIfExists(Identifier id) throws RemoteException;

	public abstract String take(Identifier id)throws RemoteException;
	public abstract String takeIfExists(Identifier id) throws RemoteException;

	public abstract Identifier put(String data) throws RemoteException;
	
}
